

$(document).ready(function () {

    // Query for the seat reservation at this specific date
    $.ajax({
        type: "GET",
        url: "http://mmt.ximit.ch/sushi/sushi.php?action=state",
        dataType: "xml",
        cache: false,
        success: function (xml) {

            // Set the ready state
            ready = true;
            
            // Evaluate the received xml
            var errorNode = xml.getElementsByTagName("error")[0];

            if (errorNode) {

                // Errorhandling
                alert(errorNode.textContent);
            }
            else {
				// Clear content
				$("#reservations").html("");
			
                var dates = xml.getElementsByTagName("date");
                for (var index = 0; index < dates.length; index++) {
                    var date = dates[index];
					var html = "";
                    
                    html += "<h2>" + date.getAttribute("date") + "</h2>";
                    html += "<div class=\"reservation\">";
					
					for (var reservationIndex = 0; reservationIndex < date.childNodes.length; reservationIndex++) {
						html += "<div class=\"box\">";
						html += "<b>Kunde: </b>";
						html += date.childNodes[reservationIndex].getAttribute("surname");
						html += " ";
						html += date.childNodes[reservationIndex].getAttribute("prename");
						
						// Contact link
						if (date.childNodes[reservationIndex].getAttribute("contact") != "") {
							html += " <a href=\"tel://";
							html += date.childNodes[reservationIndex].getAttribute("contact").replace(" ", "");
							html += "\">";
							html += date.childNodes[reservationIndex].getAttribute("contact");
							html += "</a>";
						}
						html += "<br />";
						
						// Comment
						if (date.getElementsByTagName("comment")[reservationIndex].textContent != "") {
							html += "<span>”</span><span>";
							html += date.getElementsByTagName("comment")[reservationIndex].textContent;
							html += "</span>";
						}
						
						// Reserved seats
						html += "<br /><u>Reservierte Plätze</u>";
						html += "<ul>";
						var seats = date.childNodes[reservationIndex].getElementsByTagName("seat");
						for (var seatIndex = 0; seatIndex < seats.length; seatIndex++) {
							html += "<li>" + seats[seatIndex].getAttribute("id") + "</li>";
						}
						html += "</ul>";
						html += "</div>";
					}
                    html += "</div>";
					
					$("#reservations").append(html);
                }
            }
        }
    });
});